Groovy 1.7.0

## groovy.swing.factory
Class ButtonGroupFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.ButtonGroupFactory

    class ButtonGroupFactory
    extends BeanFactory

Created by IntelliJ IDEA. User: Danno.Ferrin Date: Jul 11, 2008 Time: 9:08:24 PM To change this template use File | Settings | File Templates.

Property Summary
`static String` | `DEFAULT_DELEGATE_PROPERTY_BUTTON_GROUP`
`static String` | `DELEGATE_PROPERTY_BUTTON_GROUP`

Constructor Summary
`ButtonGroupFactory()`

Method Summary
`static def` | `buttonGroupAttributeDelegate(def builder, def node, def attributes)`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### DEFAULT_DELEGATE_PROPERTY_BUTTON_GROUP

    public static final String DEFAULT_DELEGATE_PROPERTY_BUTTON_GROUP

### DELEGATE_PROPERTY_BUTTON_GROUP

    public static final String DELEGATE_PROPERTY_BUTTON_GROUP

Constructor Detail

### ButtonGroupFactory

    public ButtonGroupFactory()

Method Detail

### buttonGroupAttributeDelegate

    public static def buttonGroupAttributeDelegate(def builder, def node, def attributes)

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2009 The Codehaus. All rights reserved.